
# frozen_string_literal: true

require_relative '../config'
require_relative './parser'
require_relative './command_factory'

module Redmine
  module CLI
    class Runner
      def run
        perform
      end

      private

      def cli_args
        ARGV
      end

      def config
        @config ||= Redmine::Config.new(config_filename)
      rescue
        puts "Warning: Invalid or missing #{config_filename}"
      end

      def arguments
        @arguments ||= Redmine::CLI::Parser.new(cli_args).arguments
      end

      def perform
        command = CommandFactory.new(arguments, config).command
        command.execute
      end

      def config_filename
        'config.yml'
      end
    end
  end
end
