# frozen_string_literal: true

module Redmine
  module Commands
    class Logs
      def initialize(args)
        @args = args
      end

      def execute
        shell.execute(
          "docker exec -it redmine-run__#{@args.instance_name} /usr/bin/tail -f /var/www/redmine/log/development.log"
        )
      end

      private

      def shell
        @shell ||= Redmine::Utils::System.new
      end
    end
  end
end
