# frozen_string_literal: true

require 'ostruct'

require_relative '../utils/plugin_installer'

module Redmine
  module Commands
    class PullPlugins
      def initialize(args)
        @args = args
      end

      def execute
        config.plugins.values.each do |plugin|
          installer = Redmine::Utils::PluginInstaller.new(
            @args.plugins_path,
            OpenStruct.new(plugin)
          )
          installer.install
        end
      end

      private

      def config
        @config ||= Redmine::Config.new(@args.config_path)
      end
    end
  end
end
